org.apache.jorphan.documentation

## Enum VisibleForTesting.Visibility

- java.lang.Object
- - java.lang.Enum<VisibleForTesting.Visibility>
  - - org.apache.jorphan.documentation.VisibleForTesting.Visibility

All Implemented Interfaces:
  Serializable, Comparable<VisibleForTesting.Visibility>

Enclosing class:
  VisibleForTesting

    public static enum VisibleForTesting.Visibility
    extends Enum<VisibleForTesting.Visibility>

Intended visibility if the element had not been made public or package-private for testing.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PACKAGE` The element should be considered package-private.
`PRIVATE` The element should be considered private.
`PROTECTED` The element should be considered protected.

### Method Summary

All Methods Static Methods Concrete Methods
`static VisibleForTesting.Visibility` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisibleForTesting.Visibility[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PROTECTED

    public static final VisibleForTesting.Visibility PROTECTED

The element should be considered protected.

#### PACKAGE

    public static final VisibleForTesting.Visibility PACKAGE

The element should be considered package-private.

#### PRIVATE

    public static final VisibleForTesting.Visibility PRIVATE

The element should be considered private.

### Method Detail

#### values

    public static VisibleForTesting.Visibility[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisibleForTesting.Visibility c : VisibleForTesting.Visibility.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisibleForTesting.Visibility valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null